+++
date = "2015-09-01T14:02:13-04:00"
title = "Getting access"
linktitle = "Getting access"
weight = 2
toc = false

[menu]
  [menu.main]
    parent = "About"

+++

# Requesting access to MIMIC-CXR

MIMIC-CXR contains information regarding the clinical care of ICU patients, so it must be treated with appropriate care and respect.
In order to access the images and reports, researchers must be credentialed on PhysioNet.
The credentialing process involves completion of a training course, described in more detail below.
Users who are already credentialed on PhysioNet do not need to repeat the credentialing process.

If you are already credentialed, you may immediately access the dataset by logging into PhysioNet signing the data use agreement on the project page: https://physionet.org/content/mimic-cxr/

Otherwise, follow the process outlined below to become credentialed. The process takes around 2-3 hours of time from yourself, and usually a week for our team to process.

# Credentialing

A user must be credentialed in order to access the database, as appropriate training is necessary for the handling of human subjects in research.
Credentialing requires completion of a training course, as follows:

- Register on the CITI program website, selecting “Massachusetts Institute of Technology Affiliates” as your organization affiliation: https://www.citiprogram.org/index.cfm?pageID=154&icat=0&ac=0
- Follow the links to add a Massachusetts Institute of Technology Affiliates course. In the Human Subjects training category, select the “Data or Specimens Only Research” course
- Complete the course and save a copy of your certificate.

Once completed, register an account on PhysioNet. Navigate to the credentialing page, and apply for credentialed privileges: https://physionet.org/settings/credentialing/