+++
date = "2015-09-01T19:33:17-04:00"
title = "Help"
linktitle = "Help"
weight = 1
toc = false

+++

# Help and support

MIMIC-CXR is provided through the work of researchers at the MIT Laboratory for Computational Physiology, Philips Healthcare, and [our collaborators](/about/acknowledgments/). We have limited resources and cannot provide individual support to researchers worldwide.

We therefore encourage MIMIC-CXR users to work together as a community. We have created a [MIMIC-CXR repository](https://github.com/mit-lcp/mimic-cxr) where users can:

* ask questions in a public forum so all members of the community can benefit from the answers
* contribute code to accelerate research
* share insight into the data and its analysis

## How can I get help with my analysis?

If you are seeking advice for a specific question, we would suggest raising an issue on the [MIMIC-CXR repository](https://github.com/mit-lcp/mimic-cxr).
Please note that we do not have the ability to provide extensive support for individual research study.
Instead, we hope to help answer general questions about the data and its interpretation which are broadly applicable across research studies.

## How do I raise an issue on the MIMIC-CXR Repository?

To raise an issue, first navigate to the [MIMIC-CXR repository issues page](https://github.com/mit-lcp/mimic-cxr/issues). After logging in to GitHub, click "New issue", add a title and description of the problem, and then select the "Submit new issue" button.

## Can I contribute my work back?

Absolutely! We welcome pull requests to the [MIMIC-CXR repository](https://github.com/mit-lcp/mimic-cxr). You can contribute direct source code or a link to your work in the [awesome-mimic-cxr.md](https://github.com/MIT-LCP/mimic-cxr/blob/master/awesome-mimic-cxr.md) list!

# Contact us for sensitive issues

If you find protected health information (PHI), please contact [phi-report](mailto:phi-report@physionet.org).
Do **not** post about PHI publicly. Do **not** send miscellaneous questions to this address; they will be ignored. Instead, raise an issue as described above.